CABAL-DEBIAN(1)

NAME
cabal-debian - create Debian package meta data from a Haskell cabal file.

SYNOPSIS
cabal-debian [flags]

DESCRIPTION
cabal-debian will generated the Debian meta data for a Debian package from the cabal file of a Haskell package. The program expects to find the package's <pkgname>.cabal file in the directory from which it was run.

--prefix=PATH
    Pass this prefix if we need to configure the package

--ghc
    Compile with GHC.

--hugs
    Compile with HUGS.

--jhc
    Compile with JHC.

--nhc
    Compile with NHC.

-h, -?, --help
    Show this help text.

--name=NAME
    Override the default package name.

--disable-haddock
    Don't generate API docs.

--disable-library-profiling
    Don't generate profiling libraries.

--disable-optimization
    Don't generate optimised code.

--disable-split-objs
    Don't split object files to save space.

-f FLAGS, --flags=FLAGS
    Set given flags in Cabal conditionals.

--release=RELEASE
    Override the default package release.

--debdir=DEBDIR
    Override the default output directory ("./debian").

-v n,q --verbose=n
    Change build verbosity.

--version=VERSION
    Override the default package version.

--maintainer=Maintainer Name <email addr>
    Override the Maintainer name and email in $DEBEMAIL/$EMAIL/$DEBFULLNAME/$FULLNAME.

--debianize
    Generate a new debianization, replacing any existing one. One of --debianize, --substvar, or --update-debianization is required.

--substvar=Doc, Prof, or Dev
    Write out the list of dependencies required for the dev, prof or doc package depending on the argument. This value can be added to the appropriate substvars file.

--update-debianization
    Update an existing debianization.

AUTHOR
This manual page was originally written by Erik de Castro Lopo <erikd@mega-nerd.com> for the Debian GNU/Linux system (but may be used by others).